Skip to main content
GET
List Person Queries by Dataset

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

document
string
required

Person document (CPF)

datasetSlug
string
required

Dataset slug (e.g., person-scr)

Query Parameters

expand
string

Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").

Example:

"createdBy"

page_size
number
default:20

Number of items to return per page

Required range: 1 <= x <= 100
Example:

100

start_cursor
string

Opaque cursor for pagination. Use the next_cursor from previous response.

Example:

"eyJjcmVhdGVkX3RpbWUiOiIyMDI0LTExLTE1VDEwOjAwOjAwLjAwMFoiLCJpZCI6InBhZ2VfYWJjMTIzIn0="

asOf
string

Data de referência (YYYY-MM-DD). Restringe a consultas com createdAt até o fim desse dia.

Example:

"2026-04-02"

Response

Paginated list of queries for the dataset

object
string
required
Example:

"list"

results
object[]
required
has_more
boolean
required
next_cursor
string | null
type
string